package com.quantgroup.asset.distribution.service.newrule.pojo.funds;

import com.google.common.collect.Lists;
import com.quantgroup.asset.distribution.util.JacksonUtil;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author shihuajun
 * @date 2021/9/7 16:54
 * @ describing
 */
@Data
public class FundCallBackParam implements Serializable {
    private static final long serialVersionUID = -4913944253732857699L;
    private String bizNo;
    private List<BaseParam> result;

    public static void main(String[] args) {
        /*BaseParam baseParam = new BaseParam();
        baseParam.setFundId(11L);
        baseParam.setDistributeStatus(21323 + "");
        FundCallBackParam backParam = new FundCallBackParam();
        backParam.setBizNo("fwef");
        backParam.setResult(Lists.newArrayList(baseParam));
        System.out.println(JacksonUtil.serialize(backParam));*/
        List<String> list = Lists.newArrayList("level1","level2","level3");
        System.out.println(list);
    }

    /**
     * @author shihuajun
     * @date 2021/9/7 19:06
     * @ describing
     */
    @Data
    public static class BaseParam implements Serializable {
        private static final long serialVersionUID = -1358066235935716831L;
        private Long fundId;
        private String distributeStatus;
    }
}
